SDL_HINT_MAC_CTRL_CLICK_EMULATE_RIGHT_CLICK(3)

NAME
SDL_HINT_MAC_CTRL_CLICK_EMULATE_RIGHT_CLICK - A variable that determines whether Ctrl+Click should generate a right-click event on macOS.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_MAC_CTRL_CLICK_EMULATE_RIGHT_CLICK SDL_MAC_CTRL_CLICK_EMULATE_RIGHT_CLICK"

DESCRIPTION
The variable can be set to the following values:

• "0": Ctrl+Click does not generate a right mouse button click event.
  (default)

• "1": Ctrl+Click generated a right mouse button click event.

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.